Subject: Re: Proposed Revisions to IETF Trust Administrative Procedures

From: Russ Housley <[email-masked]>
Date: Mon, 07 Apr 2008 15:45:16 -0400

The IAOC and the IETF Trust have different focus.  The idea behind 
the separate chair is to make sure that someone is paying attention 
to the items that need to be handled by each body in a timely 
manner.  It is simply a mechanism to help ensure that noting is 
falling between the cracks.

Russ

--On April 4, 2008 11:50:23 AM +0200 Harald Alvestrand
<[email-masked]> wrote:

 > After considering the comments so far, I think I disagree with having a
 > separate Trust chair.
 >
 > The idea behind making the IAOC be the Trustees was, among other things,
 > to make sure that we didn't create yet another nexus of control in the
 > labyrinth of committees; I understood the legal existence of the
 > Trustees as something different (in name) from the IAOC to be strictly
 > something we did for legal purposes
 >
 > If the IAOC chair is overburdened by having to manage the IAOC in two
 > different contexts, get him (or her) a secretary.
 >
 > I agree with John's comment that leaving the current trustees in charge
 > on dissolution of the IAOC is inappropriate; for one thing, that also
 > removes all the recall mechanisms.
 > Figure out something else to do in this case.
 >
 >                            Harald

_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: "Soininen Jonne (NSN FI/Espoo)" <[email-masked]>
Date: Tue, 08 Apr 2008 19:17:11 +0300

Hi,

I agree with Russ. I think the trust and the IAOC have a bit different focus
and it makes sense at times have a different chair for the different
positions.

This does not mean that we couldn't go in the future back to the common
IAOC/Trust chair, but currently the work split would make sense.

Cheers,

Jonne.

-- 
Jonne Soininen
Nokia Siemens Networks

Tel: +358 40 527 46 34
E-mail: [email-masked]

---

From: Leslie Daigle <[email-masked]>
Date: Tue, 08 Apr 2008 16:14:55 -0400

Russ,

The IETF Trust was set up as an instrument -- a naturally limited scope.

The specific task you identify below ("paying attention to items") could 
reasonably be addressed as Harald suggested.

Giving the Trust a chair is at least a step towards acknowledging it as a 
separate organization (beyond instrument), and one could then examine 
whether the IAOC members are, in fact, the right people to populate it (for 
example).  It certainly opens the doors to mission creep.

My point, which I think is in line with something John Klensin said 
earlier, is that even though the current IAOC _intends_ this as a simple 
administrative change, the fact is it's a structural change that is open to 
be taken many places by future IAOCs and IETF communities, also of good 
intent.  Given that, it would be nice to understand 1/ that the IAOC has 
considered this, and 2/ why other solutions are not considered viable.

Leslie.
P.S.:  Also -- good luck with ever having a "small" meeting -- with 4 
Chairs in the room, you'll be looking for end-tables pretty soon ;-)

--On April 7, 2008 3:45:16 PM -0400 Russ Housley <[email-masked]> 
wrote:

>  > The idea behind making the IAOC be the Trustees was, among other
> things,  > to make sure that we didn't create yet another nexus of
> control in the  > labyrinth of committees; I understood the legal
> existence of the  > Trustees as something different (in name) from the
> IAOC to be strictly  > something we did for legal purposes
>  >

---

From: "Ed Juskevicius" <[email-masked]>
Date: Tue, 8 Apr 2008 16:30:09 -0400

Leslie wrote:

> Giving the Trust a chair is at least a step towards acknowledging
> it as a separate organization ...

I suppose you could interpret things this way, but that is not my view.
Since its creation back in December 2005, all meetings of IETF Trustees
have been convened and chaired by the IAOC Chair.  As such, I think we
have always had execute an administrative role of chairing IETF Trust
meetings, and we've generally referred to that person as the Trust Chair
in minutes and on the IETF Trust website.

The recent posting of some new words for the Trust Administrative
Procedures was an attempt to bring that document up to date, to reflect
a desire amongst the current IAOC to load share the running of IAOC
meetings and IETF Trust meetings by having two different people convene
those meetings, and drive progress.  That's it.  Our intent is
absolutely not to encourage mission creep.

The above being said, it is quite clear from the excellent comments
posted by several people on this topic that the Trustees have more work
to do before the job of revising the text on the Administrative
Procedures document is done.  For example,  John Klensin commented on
some of the text in paragraph 12 that says "If at any time the IAOC
ceases to exist, the Trustees then in office shall remain in office
...".  That text is not new nor a proposed change to any existing Trust
procedure.  Those words are original text from December 2005.  I am
happy John took note of them in this round of discussions, as I don't
think they exactly express what the Trustees intended for this clause to
say.

Best Regards,

Ed Juskevicius

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
Leslie Daigle
Sent: Tuesday, April 08, 2008 4:15 PM
To: Russ Housley; IETF Discussion
Cc: Harald Alvestrand
Subject: Re: Proposed Revisions to IETF Trust Administrative Procedures

Russ,

Giving the Trust a chair is at least a step towards acknowledging it as
a 
separate organization (beyond instrument), and one could then examine 
whether the IAOC members are, in fact, the right people to populate it
(for 
example).  It certainly opens the doors to mission creep.

administrative change, the fact is it's a structural change that is open
to 
be taken many places by future IAOCs and IETF communities, also of good 
intent.  Given that, it would be nice to understand 1/ that the IAOC has

Leslie.

---

From: Russ Housley <[email-masked]>
Date: Tue, 08 Apr 2008 16:34:43 -0400

I hope that other IAOC members will share their thoughts too.  Here are mine.

Right now, the IETF Trust is faced with more work than usual.  The 
IPR WG has placed a significant task on the IETF Trust.  Yet, all of 
the usual IAOC activities need to go forward on the usual 
schedule.  The reason that I support this action it to ensure all of 
these tasks stay on track.  We've already seen the need for an extra 
teleconference in April to make that happen, and I'm sure there will 
me more as the license text begins to be drafted.

As others have already said, separate chairs seems like the right 
thing to the people serving on the IAOC right now.  That may not be 
the desire in a year.  I do not see this flexibility as a problem or 
a slippery slope.

Russ

At 04:14 PM 4/8/2008, Leslie Daigle wrote:

>The specific task you identify below ("paying attention to items") 
>could reasonably be addressed as Harald suggested.
>
>Giving the Trust a chair is at least a step towards acknowledging it 
>as a separate organization (beyond instrument), and one could then 
>examine whether the IAOC members are, in fact, the right people to 
>populate it (for example).  It certainly opens the doors to mission creep.
>
>earlier, is that even though the current IAOC _intends_ this as a 
>simple administrative change, the fact is it's a structural change 
>that is open to be taken many places by future IAOCs and IETF 
>communities, also of good intent.  Given that, it would be nice to 
>understand 1/ that the IAOC has considered this, and 2/ why other 
>solutions are not considered viable.
>
>Leslie.
>P.S.:  Also -- good luck with ever having a "small" meeting -- with 
>4 Chairs in the room, you'll be looking for end-tables pretty soon ;-)
>
>
>--On April 7, 2008 3:45:16 PM -0400 Russ Housley <[email-masked]> wrote:
>

---

From: Fred Baker <[email-masked]>
Date: Tue, 8 Apr 2008 14:25:55 -0700

On Apr 8, 2008, at 1:14 PM, Leslie Daigle wrote:
> it as a separate organization (beyond instrument), and one could  
> then examine whether the IAOC members are, in fact, the right  
> people to populate it (for example).  It certainly opens the doors  
> to mission creep.

Russ asked IAOC members to contribute. OK, here I am.

It actually is a separate organization. It has separate meetings,  
separate minutes, and a separate membership - all trustees are IAOC  
members, and one certainly hopes that all IAOC members will agree to  
sign the form that makes them trustees, but that is not a requirement  
of IAOC membership. Specifically the chair of the trustees is *not*  
identified as the chair of the IAOC in the current procedures or in  
the trust - rather, meetings are convened by any trustee who happens  
to be present.

Is that a problem? Well, it's not a big one, but it does seem odd.

There are two logical ways to fix this. One is to identify the set of  
trustees with the IAOC - same committee, same chair, same meetings,  
same minutes. The other is to recognize the difference and decide  
that it's OK - the chair of the trustees might be the same as the  
chair of the IAOC but doesn't have to be, but leave the meetings,  
minutes, and committee separate as they are now. We chose the second,  
being the least change, and are suggesting it to the IETF community.
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: John C Klensin <[email-masked]>
Date: Tue, 08 Apr 2008 20:55:43 -0400

--On Tuesday, 08 April, 2008 16:30 -0400 Ed Juskevicius
<[email-masked]> wrote:

>...
> The above being said, it is quite clear from the excellent
> comments posted by several people on this topic that the
> Trustees have more work to do before the job of revising the
> text on the Administrative Procedures document is done.  For
> example,  John Klensin commented on some of the text in
> paragraph 12 that says "If at any time the IAOC ceases to
> exist, the Trustees then in office shall remain in office
> ...".  That text is not new nor a proposed change to any
> existing Trust procedure.  Those words are original text from
> December 2005.  I am happy John took note of them in this
> round of discussions, as I don't think they exactly express
> what the Trustees intended for this clause to say.
>...

Ed,

Both the IAOC and then the Trust were conceived and defined on
the assumption that they were to isolate administrative
functions and thereby relieve not only the IESG and IAB but the
community from having to monitor them in detail.  Speaking only
for myself, I've been following that assumption, trusting you
folks to do what needs to be done and to do so within the
parameters and procedures laid out in the defining documents.
While I'm certain there was no malice involved, I find it deeply
troubling that a note that was supposed to be about something
else turned up "original text" in a procedures document that is
inconsistent with one of those defining documents, the Trust
Agreement.  I hope it doesn't add significantly to the workload,
but I hope the IAOC will its practices for verifying consistency
between its procedures and actions (and those of the Trust) and
those defining documents.

    john

---

From: John C Klensin <[email-masked]>
Date: Tue, 08 Apr 2008 20:56:32 -0400

--On Tuesday, 08 April, 2008 14:25 -0700 Fred Baker
<[email-masked]> wrote:

>> Giving the Trust a chair is at least a step towards
>> acknowledging   it as a separate organization (beyond
>> instrument), and one could   then examine whether the IAOC
>> members are, in fact, the right   people to populate it (for
> It actually is a separate organization. It has separate
> meetings,   separate minutes, and a separate membership - all
> trustees are IAOC   members, and one certainly hopes that all
> IAOC members will agree to   sign the form that makes them
> trustees, but that is not a requirement   of IAOC membership.
> Specifically the chair of the trustees is *not*   identified
> as the chair of the IAOC in the current procedures or in   the
> trust - rather, meetings are convened by any trustee who
> happens   to be present.
> 
> There are two logical ways to fix this. One is to identify the
> set of   trustees with the IAOC - same committee, same chair,
> same meetings,   same minutes. The other is to recognize the
> difference and decide   that it's OK - the chair of the
> trustees might be the same as the   chair of the IAOC but
> doesn't have to be, but leave the meetings,   minutes, and
> committee separate as they are now. We chose the second,  

Fred,

I think I have to agree with where I think Leslie is headed
here.  Either the Trustees really are the IAOC members, with the
separation merely being a formality required by the way the
Trust was set up, or the Trust is a separate entity in fact as
well as in legal theory.   That "same entity, plus or minus
official roles and legalism" model is your first "logical way"
above and what I think the IETF thought it was agreeing to. If
it is the second, then we should be having a discussion about
whether the IETF wants a separate cast of characters, rather
than making IAOC members automagically Trustees.  

More specifically, I may be missing something, but I can see
only the following cases:

(i) The workload of the Trust and IAOC combined has turned out
to be larger than expected and has gotten too high.  That is
what I think Russ's note implies when he says "...faced with
more work than usual.  The IPR WG has placed a significant task
on the IETF Trust.  Yet, all of the usual IAOC activities need
to go forward on the usual schedule...".  If there aren't enough
available cycles, then taking one of the same people and
designating him or her as "Trust Chair" won't help with anything
but (maybe) better knowledge about what is falling through the
cracks.  There still won't be enough cycles because no cycles
have been added.   If this is the problem, then we ought to be
looking at a proposal to constitute the Trustees in some other
way so as to bring in different people and more cycles, not a
proposal to just pass some more titles around.

(ii) There are enough cycles, but there is an organizational /
tracking problem.   Here I think I agree with Harald.  If the
problem is simply tracking, that is a secretarial task.  Maybe
the secretariat can do it.  Maybe the Trust needs an Exec
Director similar to the long-time IAB role of the same name.
Note that either of those approaches would presumably add cycles
and that the potential for conflict of interest if the
Secretariat gets involved with managing the IAOC presumably does
not exist with the Trust.  But creating a Trust Chair who can
track and advocate for getting work done on Trust issues while
you also have a IAOC Chair who tracks and advocates for getting
work done --done by exactly the same people-- on IAOC issues...
well, I do not yet understand why that would be helpful.

(iii) While functions differ, the two organizations are really
the same.  Nonetheless, there is a desire to create a new
function and title here for reasons I, at least, still don't
understand.  For example, to the extent to which the Trust is
separate from the IAOC, perhaps there is a need for a
coordination role and that might require the two Chairs to sit
down regularly and prioritize the work.  But, if that is the
plan, then the two Chairs take on real authority, which we have
been assured that neither really has.   So this case confuses me.

     john

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 09 Apr 2008 14:00:53 +1200

John,

On 2008-04-09 12:55, John C Klensin wrote:
> Agreement.  

Let's expand the quotation from the current, unamended Trust
procedures slightly:

"If at any time the IAOC ceases to
exist, the Trustees then in office shall remain in office
and determine the future of
the Trust in accordance with the Trust Agreement."

I agree there's a drafting error - it should say

""If at any time the IAOC ceases to
exist, the Trustees then in office shall remain in office
SOLELY IN ORDER TO determine the future of
the Trust in accordance with the Trust Agreement.""

That was certainly the intent.

    Brian

I hope it doesn't add significantly to the workload,

---

From: John C Klensin <[email-masked]>
Date: Wed, 09 Apr 2008 08:21:17 -0400

> That was certainly the intent.

But that is still inconsistent with the way I (and others) have
read the Trust Agreement itself.   If that reading is correct
then, if the IAOC ceases to exist, the then-current batch of
Trustees, or at least those who are Trustees as the result of
IETF appointments or positions, all go "poof" in that role.  The
IESG then appoints three Trustees and _they_, not the prior
incumbents, get to determine the future of the Trust.

This distinction is important because it means that the people
doing the "determining of the future" are potentially different
people and definitely in different roles.  Precisely the one
thing those lame-duck Trustees should not be doing is
"determining the future of the Trust".   The language that would
be consistent with that reading of the Trust Agreement would be
something more like...

	"If at any time the IAOC ceases to exist, the Trustees
	then in office shall remain in office only until the
	IESG can appoint new Trustees in accordance with the
	Trust Agreement.  During that period, their sole role
	and authority will be to conduct day to day business;
	they are prohibited from making any decisions with
	long-term or broad implications that cannot be reversed
	by their IESG-appointed successors."

If one is going to plan for an unlikely, and potentially
catastrophic, contingency at all, it is worth getting it right.
Even independent of what the Trust Agreement says, if the IETF
decides to get rid of the IAOC, the decisions about what happens
next to IETF Administration should be firmly and exclusively in
IETF hands.   

Then one needs to worry about what happens if the IETF goes away
:-(

      john

---

From: Marshall Eubanks <[email-masked]>
Date: Wed, 9 Apr 2008 10:24:53 -0400

>> the Trust in accordance with the Trust Agreement.""

How, precisely, would the IAOC cease to exist ?

If they all resign or die, the IETF (IESG, IAB, ISOC) would appoint  
more.

If BCP 101 was changed, the new document would undoubtedly cover the  
treatment of the Trust
by the IAOC replacement, or allow for direct appointments, or  
whatever. At any rate, that should be worried about
then, not now.

This wording is, in my opinion, purely to account for the case of the  
IETF ceasing to exist, in which
case I think Brian's wording is appropriate. (And, of course, if there  
is no IETF, there would presumably also be
no IESG, so they could not appoint more.)

One of the parties of the Trust agreement was worried about this. I am  
not.

Regards
Marshall

---

From: John C Klensin <[email-masked]>
Date: Wed, 09 Apr 2008 13:38:53 -0400

> How, precisely, would the IAOC cease to exist ?

Marshall, this is nearly irrelevant.  The point is that there is
language covering that case in the Trust Agreement and there is
language in the procedures developed by the Trustees, and they
are not consistent.

> If they all resign or die, the IETF (IESG, IAB, ISOC) would
> appoint more.
> 
> If BCP 101 was changed, the new document would undoubtedly
> cover the treatment of the Trust

Then recommend to the community that the Trust Agreement be
changed.  If the ability to make this sort of change somehow got
negotiated away... well, I guess we live with that, but it is
still no reason to have a procedural document inconsistent with
the Trust agreement.
>
> This wording is, in my opinion, purely to account for the case
> of the IETF ceasing to exist, in which
> case I think Brian's wording is appropriate.

My imagination is paranoid enough to think of at least one more
case, but I would suggest that the principle remains and that,
were the IETF to abruptly go out of business, the former members
of the former IAOC might not be the best people to act as
receivers of the Trust and controllers of its remaining assets.
Note that, with the way the new IPR documents are drawn, the
Trust has some long-term responsibilities to the Internet
community whether the IETF exists or not.

> (And, of course,
> if there is no IETF, there would presumably also be

The Trust Agreement, IIR, says "IESG or its successor".  Whether
the various arrangements now in place are adequate to designate
a successor to the IESG if they and IETF go out of business,  I
don't know.  But I do know that isn't the problem of the Trust
or IAOC (although either could make a proposal about what to do
about it).

> One of the parties of the Trust agreement was worried about
> this. I am not.

I'm not particularly worried about the conditions that would
trigger any of these provisions occurring.  I am worried about
the IAOC and/or Trustees adopting procedures that are
inconsistent with the Trust Agreement.   Given what the Trust
Agreement says, I don't believe the procedures actually need to
say a word on this topic.  Not saying a word would be, I
believe, consistent with your "worried about then, not now"
suggestion.  But, if anything is going to be said, it needs to
be consistent with the Trust Agreement _and_ reflect the desires
and intent of the community.

     john

---

From: "Ed Juskevicius" <[email-masked]>
Date: Wed, 9 Apr 2008 13:50:35 -0400

John, you wrote:

> Then recommend to the community that the Trust Agreement be changed.

The Trustees are not talking about changing the terms of the Trust
Agreement, so this should not be necessary.

> I am worried about the IAOC and/or Trustees adopting procedures that
> are inconsistent with the Trust Agreement.

Me too! It is not the intention of the Trustees to adopt procedures that
are inconsistent with the Trust Agreement.  
 
> if anything is going to be said, it needs to be consistent with the
> Trust Agreement _and_ reflect the desires and intent of the community.

I agree.

Regards,

Ed Juskevicius

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On Behalf Of
John C Klensin
Sent: Wednesday, April 09, 2008 1:39 PM
To: Marshall Eubanks
Cc: Leslie Daigle; Harald Alvestrand; IETF Discussion
Subject: Re: Proposed Revisions to IETF Trust Administrative Procedures

Marshall, this is nearly irrelevant.  The point is that there is
language covering that case in the Trust Agreement and there is language
in the procedures developed by the Trustees, and they are not
consistent.

> treatment of the Trust by the IAOC replacement, or allow for direct 
> appointments, or whatever. At any rate, that should be worried about 
> then, not now.

Then recommend to the community that the Trust Agreement be changed.  If
the ability to make this sort of change somehow got negotiated away...
well, I guess we live with that, but it is still no reason to have a
procedural document inconsistent with the Trust agreement.
> IETF ceasing to exist, in which case I think Brian's wording is 
> appropriate.

My imagination is paranoid enough to think of at least one more case,
but I would suggest that the principle remains and that, were the IETF
to abruptly go out of business, the former members of the former IAOC
might not be the best people to act as receivers of the Trust and
controllers of its remaining assets.
Note that, with the way the new IPR documents are drawn, the Trust has
some long-term responsibilities to the Internet community whether the
IETF exists or not.

> (And, of course,
> if there is no IETF, there would presumably also be no IESG, so they 
> could not appoint more.)

The Trust Agreement, IIR, says "IESG or its successor".  Whether the
various arrangements now in place are adequate to designate a successor
to the IESG if they and IETF go out of business,  I don't know.  But I
do know that isn't the problem of the Trust or IAOC (although either
could make a proposal about what to do about it).

> not.

I'm not particularly worried about the conditions that would trigger any
of these provisions occurring.  I am worried about the IAOC and/or
Trustees adopting procedures that are
inconsistent with the Trust Agreement.   Given what the Trust
Agreement says, I don't believe the procedures actually need to say a
word on this topic.  Not saying a word would be, I believe, consistent
with your "worried about then, not now"
suggestion.  But, if anything is going to be said, it needs to be
consistent with the Trust Agreement _and_ reflect the desires and intent
of the community.

     john

---

From: John C Klensin <[email-masked]>
Date: Wed, 09 Apr 2008 15:04:36 -0400

--On Wednesday, 09 April, 2008 13:50 -0400 Ed Juskevicius
<[email-masked]> wrote:

>> changed.
> The Trustees are not talking about changing the terms of the
> Trust Agreement, so this should not be necessary.

Good.  But I was just trying to suggest, following what I
thought I saw in Marshall's note, that, if the Trust Agreement
is defective, one could try to change it.  The other option is
to conform to it.  Ignoring it and adopting procedures or
polices inconsistent with it --even if one believes those
policies will never be triggered-- is a non-starter.
 
>> I am worried about the IAOC and/or Trustees adopting
>> procedures that are inconsistent with the Trust Agreement.
> 
> Me too! It is not the intention of the Trustees to adopt
> procedures that are inconsistent with the Trust Agreement.  
>  
>> if anything is going to be said, it needs to be consistent
>> with the Trust Agreement _and_ reflect the desires and intent
>> of the community.
> 
> I agree.

I think we are in synch.

    john

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 10 Apr 2008 10:24:17 +1200

>>> with the Trust Agreement _and_ reflect the desires and intent

I agree with the above, and I assure everybody that the intent
was always exactly that. There's definitely an error in the way
the current procedures were drafted; it was my error, and I have
evry confidence that the current Trustees will fix it.

    Brian

---

From: Ray Pelletier <[email-masked]>
Date: Thu, 10 Apr 2008 21:21:29 -0400

The Trustees have considered the comments from the list and propose the 
following amended revisions to the Trust Administrative Procedures.  The 
Trustees propose to take action at its April 17th meeting and will 
consider all comments received by that date.

2. The Trustees shall select one Trustee to serve as the Chair of the 
Trust. 

a. The following Trustees are not eligible to serve as IETF Chair:
    1. ISOC President
    2. IAB Chair
    3. IETF Chair
    4. ISOC IAOC Appointee
    5. IAD

b. The term of the Trust Chair shall be one year from the time of 
selection or the remaining time of his or her tenure as a Trustee, 
whichever is less.  An individual may serve any number of terms as 
Chair, if selected by the Trustees.

c. The Chair serves at the pleasure of the Trustees and may be removed 
from that position at any time by a vote of 2/3 of the voting Trustees, 
not counting the Trust Chair.

d. The Chair shall convene and preside over meetings of the Trustees but 
shall have no other powers or authority beyond his or her powers as a 
Trustee.  If the Trust Chair is not available, then any other Trustee 
may convene or preside over meetings of the Trustees in the  absence of 
the Trust Chair.

4. The Trust Agreement defines the quorum and voting rules for a 
meeting. Motions passed by electronic means between meetings shall be 
confirmed by a vote at the next possible meeting.

12. The Trustees are the current members of the IAOC. When a member 
leaves the IAOC for whatever reason, he or she ceases to be a Trustee. 
When a new member joins the IAOC, he or she becomes a Trustee upon his 
or her agreement in writing to fulfill the duties of a Trustee, as 
specified in the Trust Agreement.

a. If at any time the IAOC ceases to exist, or there are fewer than 
three Trustees, then the IESG, or its successor, shall appoint Trustees 
in accordance with Article VI of the Trust Agreement.

Ray

---

From: Ted Hardie <[email-masked]>
Date: Thu, 10 Apr 2008 22:27:22 -0700

I have resisted contributing to this thread because so many of the salient
points had already been made.  But permit me to make a small observation.

This proposal has a general thrust that seems to say "This position is important, and
we don't want to pile too much power in one pair of hands, so we can't let the
following folks take the position, and we need explicit ways of removing someone from
the position."  It also has a section (d), which downplays that reading by saying:

> The Chair shall convene and preside over meetings of the Trustees but shall have no other powers or authority beyond his or her powers as a Trustee.  If the Trust Chair is not available, then any other Trustee may convene or preside over meetings of the Trustees in the  absence of the Trust Chair.

When Brian tried to create "Vice Chairs" for the IESG, the IESG of the time
was very concerned with both the optics inside the IETF, the optics outside
the IETF, and the chance that Vice Chairs would eventually come to believe that
they had a role  beyond chivvying folks to do get their positions
in on time.  After much discussion, including silly suggestions by me,
"Whips" got picked as the title instead.  That worked, and the people doing
the job helped a lot in taking up tasks that Brian did not have time for.

A "Whip" is not what you're looking for here, but it seems clear to me that
the terminology of "Chair" is going to set up the same kind of expectations
that have caused problems before.  This person *will*, for example, get called
for quotes by press looking at IPR issues in the IETF.  They can push those off,
but believe me that there is a target painted on the back of the stuckee
with this choice of phrase.

Call this role a "meeting convener" or "show runner" or "den mother" or
something else less likely to cause confusion and attract trouble.  That will help,
at least in my opinion.  Names matter, and the one you've chosen implies powers
that all the sub-clauses in the document can't truly take away.

Thanks for listening,
				Ted

At 6:21 PM -0700 4/10/08, Ray Pelletier wrote:
>The Trustees have considered the comments from the list and propose the following amended revisions to the Trust Administrative Procedures.  The Trustees propose to take action at its April 17th meeting and will consider all comments received by that date.
>
>2. The Trustees shall select one Trustee to serve as the Chair of the Trust. 
>
>b. The term of the Trust Chair shall be one year from the time of selection or the remaining time of his or her tenure as a Trustee, whichever is less.  An individual may serve any number of terms as Chair, if selected by the Trustees.
>
>c. The Chair serves at the pleasure of the Trustees and may be removed from that position at any time by a vote of 2/3 of the voting Trustees, not counting the Trust Chair.
>
>d. The Chair shall convene and preside over meetings of the Trustees but shall have no other powers or authority beyond his or her powers as a Trustee.  If the Trust Chair is not available, then any other Trustee may convene or preside over meetings of the Trustees in the  absence of the Trust Chair.
>
>4. The Trust Agreement defines the quorum and voting rules for a meeting. Motions passed by electronic means between meetings shall be confirmed by a vote at the next possible meeting.
>
>12. The Trustees are the current members of the IAOC. When a member leaves the IAOC for whatever reason, he or she ceases to be a Trustee. When a new member joins the IAOC, he or she becomes a Trustee upon his or her agreement in writing to fulfill the duties of a Trustee, as specified in the Trust Agreement.
>
>a. If at any time the IAOC ceases to exist, or there are fewer than three Trustees, then the IESG, or its successor, shall appoint Trustees in accordance with Article VI of the Trust Agreement.
>
>Ray
>
>Brian E Carpenter wrote:
>
>>><mailto:[email-masked]><[email-masked]> wrote:
>>>
>>>   
>>>
>>>>John, you wrote:
>>>>
>>>>     
>>>>
>><mailto:[email-masked]>[email-masked]
>><https://www.ietf.org/mailman/listinfo/ietf>https://www.ietf.org/mailman/listinfo/ietf
>>
>>
>> 
>>
>
>Content-Type: text/plain; name="ATT00001.txt"
>Content-Description: ATT00001.txt
>Content-Disposition: attachment; filename="ATT00001.txt"; size=191;
>	creation-date="Thu, 10 Apr 2008 19:01:43 GMT";
>	modification-date="Thu, 10 Apr 2008 19:01:43 GMT"
>
>Attachment converted: Macintosh HD:ATT00001 1073.txt (TEXT/ttxt) (0074B34C)

---

From: John C Klensin <[email-masked]>
Date: Fri, 11 Apr 2008 06:40:43 -0400

Ray,

While I could live with this, I agree, strongly, with Ted.  The
character and volume of comments, including organized outside
interventions, in the IPR discussions of the last year or two,
should be sufficient to convince everyone how significant IPR
matters can get.   If the Trust is the holder of the IETF IPR,
and there is a <Chair of the IETF Trust>, then that person will
be seen by outsiders and the press as "official spokesperson for
the IETF on IPR matters".   While I think we can trust (sic)
that the person so designated will answer carefully or defer to
others, I don't think it is wise --for the Trust or for the
IETF-- for someone to be carrying that target around.  "Den
mother" really appears to me :-)

I also agree with Ted about the implied contradictions between
"this is an important position" and "well, it isn't".  The
problem, however, is not just in the name.   If, as section 2(d)
indicates, this position has no actual authority, then you
should clean up any other material that is consistent only with
"long-term important and responsible position".  For example,
the Chair should serve at the pleasure of the Trustees, and that
doesn't imply a supermajority vote to remove him or her.
"Pleasure of the Trustees" tells me that if a majority of the
Trustees have sufficiently lost confidence in a designated
leader (whether "Chair" or "Den Mother") to deal with the
disruption and effort to select someone else, then that person
should be out.  I would hope and assume that loss of confidence
by a majority of the Trustees would cause an immediate
resignation and that no voting would be needed.  If a vote to
remove is necessary, a  2/3 requirement sends exactly the wrong
message.

Yes, going down to a majority increases the odds of thrashing in
that position slightly.  If the position isn't long-term
significant, that is not a problem (in the limiting case, it
just turns into a rotating chair).  Moreover, if there is
thrashing to the point that it becomes disruptive (something I
consider very unlikely, by the way), then there is a problem
that the IETF and/or ISOC should be dealing with by changing the
cast of characters.

So, again, I ask that, whatever you do, it be made internally
consistent in optics as well as in substance when read carefully
and believed (as well as preserving consistency with the Trust
Agreement, which has now been accomplished).   I do note, fwiw,
that I've seen zero support on the IETF list (including from
IAOC members) for a "strong IETF Trust Chair".  If you don't
intend "strong chair", then please clean such things as that
title and the supermajority out.

thanks,
     john

--On Thursday, 10 April, 2008 22:27 -0700 Ted Hardie
<[email-masked]> wrote:

> I have resisted contributing to this thread because so many of
> the salient points had already been made.  But permit me to
> make a small observation.
> 
> This proposal has a general thrust that seems to say "This
> position is important, and we don't want to pile too much
> power in one pair of hands, so we can't let the following
> folks take the position, and we need explicit ways of removing
> someone from the position."  It also has a section (d), which
> downplays that reading by saying:
> 
>> The Chair shall convene and preside over meetings of the
>> Trustees but shall have no other powers or authority beyond
>> his or her powers as a Trustee.  If the Trust Chair is not
>> available, then any other Trustee may convene or preside over
>> meetings of the Trustees in the  absence of the Trust Chair.
> 
> When Brian tried to create "Vice Chairs" for the IESG, the
> IESG of the time was very concerned with both the optics
> inside the IETF, the optics outside the IETF, and the chance
> that Vice Chairs would eventually come to believe that they
> had a role  beyond chivvying folks to do get their positions
> in on time.  After much discussion, including silly
> suggestions by me, "Whips" got picked as the title instead.
> That worked, and the people doing the job helped a lot in
> taking up tasks that Brian did not have time for.
> 
> A "Whip" is not what you're looking for here, but it seems
> clear to me that the terminology of "Chair" is going to set up
> the same kind of expectations that have caused problems
> before.  This person *will*, for example, get called for
> quotes by press looking at IPR issues in the IETF.  They can
> push those off, but believe me that there is a target painted
> on the back of the stuckee with this choice of phrase.
> 
> Call this role a "meeting convener" or "show runner" or "den
> mother" or something else less likely to cause confusion and
> attract trouble.  That will help, at least in my opinion.
> Names matter, and the one you've chosen implies powers that
> all the sub-clauses in the document can't truly take away.
> 
> Thanks for listening,
> 				Ted

---

From: Harald Alvestrand <[email-masked]>
Date: Fri, 11 Apr 2008 13:40:25 +0200

I too like Ted's comments.

If the job is really to preside over the Trust meetings, the title 
"convener" might be useful; if the job is to make sure Trust work gets 
followed up, call it an "executive director".

But I can live with the current proposal (although dropping #12 entirely 
would make absolutely no difference, and make the document shorter).

                          Harald

---

From: Marshall Eubanks <[email-masked]>
Date: Fri, 11 Apr 2008 10:32:06 -0400

Dear Ray;

I support these changes. I have one nit.

On Apr 10, 2008, at 9:21 PM, Ray Pelletier wrote:

> The Trustees have considered the comments from the list and propose  
> the following amended revisions to the Trust Administrative  
> Procedures.  The Trustees propose to take action at its April 17th  
> meeting and will consider all comments received by that date.
>
> c. The Chair serves at the pleasure of the Trustees and may be  
> removed from that position at any time by a vote of 2/3 of the  
> voting Trustees, not counting the Trust Chair.
>
> d. The Chair shall convene and preside over meetings of the Trustees  
> but shall have no other powers or authority beyond his or her powers  
> as a Trustee.  If the Trust Chair is not available, then any other  
> Trustee may convene or preside over meetings of the Trustees in the   
> absence of the Trust Chair.

> meeting. Motions passed by electronic means between meetings shall  
> be confirmed by a vote at the next possible meeting.
>
> 12. The Trustees are the current members of the IAOC.

I would prefer simply  "The Trustees are current members of the IAOC."  
as IAOC members who have not agreed in writing to become a Trustee are  
not.

Regards
Marshall

> When a member leaves the IAOC for whatever reason, he or she ceases  
> to be a Trustee. When a new member joins the IAOC, he or she becomes  
> a Trustee upon his or her agreement in writing to fulfill the duties  
> of a Trustee, as specified in the Trust Agreement.
>
> three Trustees, then the IESG, or its successor, shall appoint  
> Trustees in accordance with Article VI of the Trust Agreement.
>
> Ray
>
> Brian E Carpenter wrote:
>>

---

From: Stephan Wenger <[email-masked]>
Date: Fri, 11 Apr 2008 11:24:22 -0700

Something rather obvious.
Stephan

>> a. The following Trustees are not eligible to serve as IETF Chair:
                                                          ^^^^
                                                          Trust

---

From: Fred Baker <[email-masked]>
Date: Fri, 11 Apr 2008 14:37:53 -0700

A thought...

your list below eliminates five out of the ten of the IAOC. The  
remaining folks include the IAOC secretary (whom I would suggest  
should also be ineligible), a member selected by the IETF nomcom, the  
member selected by the IESG, and the member selected by the IAB.

I would suggest that a simpler wording would be to make the folks  
*eligible* be those that are not ex officio, not the secretary, and  
not selected by the ISOC Board. I would guess that the issue with the  
"member selected by the ISOC Board" is that the IETF would like to be  
sure it is an IETF participant.

                                                          ^^^^
                                                          Trust

>     5. IAD

http://iaoc.ietf.org/members_detail.html:
   Bob Hinden, appointed by the IAB - bob.hinden at nokia.com
   Ole Jacobsen, appointed by the IESG - ole at cisco.com
* Fred Baker, appointed by the ISOC Board of Trustees - fred at  
cisco.com
* Russ Housley, the IETF Chair (ex officio) - housley at vigilsec.com
* Olaf Kolkman, the IAB Chair (ex officio) - olaf at NLnetlabs.nl
* Lynn St.Amour, the ISOC President/CEO (ex officio) - st.amour at  
isoc.org
   Jonne Soininen, IAOC Chair, appointed by the NomCom (2 year term,  
appointed 2007) - jonne.soininen at nsn.com
   Ed Juskevicius, appointed by the NomCom (2 year term, appointed  
2006) - edj at nortel.com
* Ray Pelletier, IETF Administrative Director (non-voting) - iad at  
ietf.org
* Marshall Eubanks (tme at multicasttech.com) serves as the IAOC Scribe
_______________________________________________
IETF mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ietf

---

From: Brian E Carpenter <[email-masked]>
Date: Sat, 12 Apr 2008 09:41:48 +1200

> would make absolutely no difference, and make the document shorter).

I hope we all agree that the job of chairing the meetings of the
Trust (and some consequent involvement in preparing the agenda
and ensuring that decisions are followed up) is not a role that
should lead to public speaking engagements or extensive press
interviews. But I really don't see another name for the job that
makes sense. I think convening the meetings and executing decisions
of the Trust is clearly IAD work.

   Brian

---

From: Ray Pelletier <[email-masked]>
Date: Tue, 15 Apr 2008 09:09:13 -0400

>> a. The following Trustees are not eligible to serve as IETF Chair: 
Does this work for you?

a. Trustees eligible to serve as Trust Chair are NomCom,  IESG and IAB 
appointees to the IAOC

Ray.

---

From: "TS Glassey" <[email-masked]>
Date: Tue, 15 Apr 2008 07:40:23 -0700

No Ray - the Trust member's need to NOT have any other active IESG/IETF or 
IAB relationship's while they sit on the Trust since there would be 
clear-cut violation's of conflict and that is that.

Todd Glassey

----- Original Message ----- 
From: "Ray Pelletier" <[email-masked]>
To: "Fred Baker" <[email-masked]>
Cc: "John C Klensin" <[email-masked]>; "Leslie Daigle" 
<[email-masked]>; "IETF Discussion" <[email-masked]>; "Harald 
Alvestrand" <[email-masked]>
Sent: Tuesday, April 15, 2008 6:09 AM
Subject: Re: Proposed Revisions to IETF Trust Administrative Procedures